curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/bill-of-materials-operations/{billOfMaterialsOperationId}/bill-of-materials-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"productionItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billOfMaterialsId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"input": {
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"measurementUnitId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/bill-of-materials-operations/{billOfMaterialsOperationId}/bill-of-materials-items"
payload = {
"productionItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billOfMaterialsId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"input": {
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"measurementUnitId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
productionItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
billOfMaterialsId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
input: {
itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
quantity: 123,
measurementUnitId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
}
})
};
fetch('https://api.jtl-cloud.com/erp/v2/bill-of-materials-operations/{billOfMaterialsOperationId}/bill-of-materials-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Creates a new bill of materials item for a bill of materials operation.
Creates a new bill of materials item for a bill of materials operation.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
Request parameters
Creates a new bill of materials item for a bill of materials operation. - Request
The ID of the production item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the bill of materials.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The input for creating a bill of materials item.
Show child attributes
Show child attributes
Response
Successfully created a bill of materials item.
Creates a new bill of materials item for a bill of materials operation. - Response
The ID of the newly created bill of materials item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?